Bug 56608 - ipv6 support for s/390
ipv6 support for s/390
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
s390 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-21 17:05 EST by Ben Levenson
Modified: 2010-02-17 11:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-21 17:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-11-21 17:05:31 EST
Description of Problem:
(I remember asking this question on irc, but I don't remember the response.
sorry.) What are we supporting WRT ipv6 on s/390? 
radvd-0.6.2pl4-1 and iptables-ipv6-1.2.3-1 are included in the distribution,
but "CONFIG_IPV6 is not set".
Here is the related information from kernel-2.4.9-s390.config:
 
  <snip>
  219 # CONFIG_IPV6 is not set
  220 CONFIG_IPV6_EUI64=y
  221 CONFIG_IPV6_NO_PB=y
  222 # CONFIG_KHTTPD is not set
  223 
  224 #
  225 #   IPv6: Netfilter Configuration
  226 #
  227 CONFIG_IP6_NF_IPTABLES=m
  228 CONFIG_IP6_NF_MATCH_LIMIT=m
  229 CONFIG_IP6_NF_MATCH_MARK=m
  230 CONFIG_IP6_NF_FILTER=m
  231 CONFIG_IP6_NF_MANGLE=m
  232 CONFIG_IP6_NF_TARGET_MARK=m
  <snip>
 1621 # CONFIG_IPV6 is not set

Version-Release number of selected component (if applicable):
kernel-2.4.9-13.4

Actual Results:
I discovered this issue while testing iptables-ipv6:
  [root@rawhide configs]# locate module | grep ipv6
  [root@rawhide configs]# 

Expected Results:
  /lib/modules/2.4.9-13.4/kernel/net/ipv6
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/netfilter
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/netfilter/ip6table_filter.o
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/netfilter/ip6_tables.o
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/netfilter/ip6t_MARK.o
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/netfilter/ip6t_limit.o
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/netfilter/ip6t_mark.o
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/netfilter/ip6table_mangle.o
  /lib/modules/2.4.9-13.4/kernel/net/ipv6/ipv6.o
Comment 1 Arjan van de Ven 2001-11-21 17:10:48 EST
No idea;
IBM picked our original config it seems; so I expect it to be fully untested on
s390.. enabling it this late (and then oopsing on use or so) is not something
I'd like to do
Comment 2 Karsten Hopp 2001-11-23 07:40:25 EST
next release
Comment 3 Fedora Update System 2010-02-17 11:08:12 EST
cyrus-sasl-2.1.23-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cyrus-sasl-2.1.23-8.fc13

Note You need to log in before you can comment on or make changes to this bug.